pro ascii2specpro, infile, mask, slit, name, outdir=outdir

;Convert an ascii file with a 1-D spectrum to SpecPro format.
;
;Inputs: 
;
;infile - ascii spectrum with columns lambda, flux, flux error
;mask - string with mask name 
;slit - slit number for this spectrum
;name - string with name for the source
;
;outdir - optional string specifying directory to save result to

readcol,infile,f='d,d,d',lambda,flux,err

ivar = 1 / err^2


oned = {flux:flux, lambda:lambda, ivar:ivar}

slitstr = string(slit,format='(i03)') 

if keyword_set(outdir) eq 1 then begin
   outname = outdir+'/spec1d.'+mask+'.'+slitstr+'.'+name+'.fits'
endif else begin
   outname = 'spec1d.'+mask+'.'+slitstr+'.'+name+'.fits'
endelse
   
mwrfits, oned, outname, /create

end; ascii2specpro

